class UsersController < ApplicationController
  before_filter :find_user, :except => [:new, :create]

  def new
  end
  
  def create
    @user = User.create params[:user]
    if @user.save
      flash[:notice] = 'Successful registration'
      session[:user] = @user.id
      redirect_to :back
    else
      flash[:notice] = 'Unsuccessful registration'
      redirect_to '/users/new'
    end
  end

  def edit
  end
  
  def update
  end

  def forgotten
  end
  
  def send_forgotten
  end
  
  private
  def find_user
    @user = User.find session[:user]
  end
end
